import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:platform_aware/platform_aware_widget.dart';

class PlatformAwareIconButton extends PlatformAwareWidget {
  final Key keyValue;
  final Widget icon;
  final double iconSize;
  final String tooltip;
  final VoidCallback onPressed;

  PlatformAwareIconButton(
      {this.keyValue,
      @required this.icon,
      this.iconSize,
      @required this.tooltip,
      @required this.onPressed});

  @override
  Widget buildAndroid(BuildContext context) => new IconButton(
      key: keyValue,
      iconSize: iconSize ?? 24.0,
      icon: icon,
      tooltip: tooltip,
      onPressed: onPressed);

  @override
  Widget buildCupertino(BuildContext context) => new Container(
      key: keyValue,
      child: new CupertinoButton(
          padding: EdgeInsets.zero,
          child: new Tooltip(
            message: tooltip,
            child: icon,
          ),
          onPressed: onPressed));
}
